/**
 * 验证手机号，座机号
 * @param {*} rule
 * @param {*} value
 * @param {*} callback
 */
export function validPhoneMobile(rule, value, callback){
  if (value){
    if (value === '') {
      callback(new Error('请输入11位手机号'));
    } else {
      let regPone;
      let mobile = /^1([3456789])\d{9}$/; //最新16手机正则
      let tel = /^(0\d{2,3}-){0,1}\d{7,8}$/; //座机
      if (value.charAt(0) == 0) {    // charAt查找第一个字符方法，用来判断输入的是座机还是手机号
        regPone = tel;
      } else {
        regPone = mobile;
      }
      if (!regPone.test(value)) {
        callback(new Error("请填写11位手机号或座机号(座机格式为 区号-座机号码)"))
      }
      callback();
    }
  }else {
    callback();
  }
}
export function checkPositiveDecimal(rule, value, callback) {
  if (value) {
    value += ''
    // if(/(^[1-9]([0-9]+)?(\.[0-9]{1,4})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/.test(value)) {
    // if(/(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/.test(value)) {
    if(/(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]{1,2}$)/.test(value)) {
      callback()
    } else {
      callback(new Error('只能输入数字,且数值不能为负,小数限2位'))
    }
  } else {
    callback()
  }
}
